<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html">system</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html">SoftwareInfoSenderTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">SoftwareInfoSender</a></code> class.  
 <a href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test_coll__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac85caab427e8faf5ebce940f7f50d766"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#ac85caab427e8faf5ebce940f7f50d766">SetUp</a> () override</td></tr>
<tr class="memdesc:ac85caab427e8faf5ebce940f7f50d766"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set up the test harness for running a test.  <a href="#ac85caab427e8faf5ebce940f7f50d766">More...</a><br /></td></tr>
<tr class="separator:ac85caab427e8faf5ebce940f7f50d766"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a1324cf1d01444d65224fe355624faaca"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_software_info_sender_observer.html">MockSoftwareInfoSenderObserver</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a1324cf1d01444d65224fe355624faaca">m_mockObserver</a></td></tr>
<tr class="separator:a1324cf1d01444d65224fe355624faaca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84fd0b3079f752eb91d2e924e2f53119"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">MockConnection</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a84fd0b3079f752eb91d2e924e2f53119">m_mockConnection</a></td></tr>
<tr class="memdesc:a84fd0b3079f752eb91d2e924e2f53119"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked connection.  <a href="#a84fd0b3079f752eb91d2e924e2f53119">More...</a><br /></td></tr>
<tr class="separator:a84fd0b3079f752eb91d2e924e2f53119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ffb48f621a0d9adae06eabc31a83330"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a6ffb48f621a0d9adae06eabc31a83330">m_mockMessageSender</a></td></tr>
<tr class="memdesc:a6ffb48f621a0d9adae06eabc31a83330"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked MessageSenderInterface.  <a href="#a6ffb48f621a0d9adae06eabc31a83330">More...</a><br /></td></tr>
<tr class="separator:a6ffb48f621a0d9adae06eabc31a83330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bee46894bb030de69874e0d3d2a7281"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a4bee46894bb030de69874e0d3d2a7281">m_mockExceptionEncounteredSender</a></td></tr>
<tr class="memdesc:a4bee46894bb030de69874e0d3d2a7281"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mocked Exception Encountered Sender.  <a href="#a4bee46894bb030de69874e0d3d2a7281">More...</a><br /></td></tr>
<tr class="separator:a4bee46894bb030de69874e0d3d2a7281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01673f17a4da609043e3f0c83538dc59"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; StrictMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">MockAttachmentManager</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a01673f17a4da609043e3f0c83538dc59">m_mockAttachmentManager</a></td></tr>
<tr class="memdesc:a01673f17a4da609043e3f0c83538dc59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mock AttachmentManager for creating directives.  <a href="#a01673f17a4da609043e3f0c83538dc59">More...</a><br /></td></tr>
<tr class="separator:a01673f17a4da609043e3f0c83538dc59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ecd8a60608a83f5e844a32c71f5394b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_software_info_sender_test.html#a6ecd8a60608a83f5e844a32c71f5394b">m_reportSoftwareInfoDirective</a></td></tr>
<tr class="memdesc:a6ecd8a60608a83f5e844a32c71f5394b"><td class="mdescLeft">&#160;</td><td class="mdescRight">System.ReportSoftwareInfo directive.  <a href="#a6ecd8a60608a83f5e844a32c71f5394b">More...</a><br /></td></tr>
<tr class="separator:a6ecd8a60608a83f5e844a32c71f5394b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_sender.html">SoftwareInfoSender</a></code> class. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac85caab427e8faf5ebce940f7f50d766"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac85caab427e8faf5ebce940f7f50d766">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set up the test harness for running a test. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a01673f17a4da609043e3f0c83538dc59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01673f17a4da609043e3f0c83538dc59">&#9670;&nbsp;</a></span>m_mockAttachmentManager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1test_1_1_mock_attachment_manager.html">MockAttachmentManager</a>&gt; &gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_mockAttachmentManager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mock AttachmentManager for creating directives. </p>

</div>
</div>
<a id="a84fd0b3079f752eb91d2e924e2f53119"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84fd0b3079f752eb91d2e924e2f53119">&#9670;&nbsp;</a></span>m_mockConnection</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_connection.html">MockConnection</a>&gt; &gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_mockConnection</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mocked connection. </p>

</div>
</div>
<a id="a4bee46894bb030de69874e0d3d2a7281"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bee46894bb030de69874e0d3d2a7281">&#9670;&nbsp;</a></span>m_mockExceptionEncounteredSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_exception_encountered_sender.html">MockExceptionEncounteredSender</a>&gt; &gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_mockExceptionEncounteredSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mocked Exception Encountered Sender. </p>

</div>
</div>
<a id="a6ffb48f621a0d9adae06eabc31a83330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ffb48f621a0d9adae06eabc31a83330">&#9670;&nbsp;</a></span>m_mockMessageSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1test_1_1_mock_message_sender.html">MockMessageSender</a>&gt; &gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_mockMessageSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Mocked MessageSenderInterface. </p>

</div>
</div>
<a id="a1324cf1d01444d65224fe355624faaca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1324cf1d01444d65224fe355624faaca">&#9670;&nbsp;</a></span>m_mockObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;StrictMock&lt;<a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1test_1_1_mock_software_info_sender_observer.html">MockSoftwareInfoSenderObserver</a>&gt; &gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_mockObserver</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ecd8a60608a83f5e844a32c71f5394b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ecd8a60608a83f5e844a32c71f5394b">&#9670;&nbsp;</a></span>m_reportSoftwareInfoDirective</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::capabilityAgents::system::test::SoftwareInfoSenderTest::m_reportSoftwareInfoDirective</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>System.ReportSoftwareInfo directive. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/System/test/<a class="el" href="_software_info_test_8cpp.html">SoftwareInfoTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
